###################### Filebeat Configuration #########################

# You can find the full configuration reference here:
# https://www.elastic.co/guide/en/beats/filebeat/index.html

filebeat:
  prospectors:
    # SYSLOG
    - input_type: log
      document_type: syslog
      paths:
        - /var/log/auth.log
        - /var/log/syslog
    - input_type: log
      include_lines: ['^\[[0-9]{4}-[0-9]{2}-[0-9]{2}']
      document_type: pipedream_log
      paths:
        - /var/log/pipedream/*.log

output:
  logstash:
    # TODO: change to domain name when possible
    hosts: ["10.1.14.10:5044"]
    bulk_max_size: 1024
